#include<bits/stdc++.h>
using namespace std;

const int mod=998244353;
int n, m, k;
unsigned long long ans=1;

int main(){
cin>>n>>m>>k;
if(k==1){
    for(int i=1; i<=n; i++){
        ans*=m;
        ans%=mod;
    }
}
if(k==n){
    cout<<m<<endl;
    return 0;
}
cout<<ans%mod;
return 0;
}
